Release Notes for Perl

Perl is an object-oriented programming language which can be used for CGI scripts, system administration, network programming and other applications. It has features that can ease the task of programming, including regular expressions and strong string manipulation.

Version: 5.28.3-0231


(2021-06-01)

Compatibility and Installation

  1. Updated to be compatible with DSM 7.0.

Version: 5.28.3-0077


(2021-03-16)

Important Notes

  1. After updating to this version, Logitech Media Server (EoL) will fail to start.
  2. This update is expected to be available in all regions within the next few days. The actual time of release may vary slightly depending on regions.

What's New

  1. Updated to version 5.28.3.

Fixed Issues

  1. Fixed multiple security vulnerabilities (CVE-2020-10543, CVE-2020-10878, CVE-2020-12723, CVE-2019-20919, CVE-2020-14392, CVE-2020-14393).
  2. Minor bug fixes.

Version: 5.24.0-0074


(2019-04-29)
  1. Fix multiple vulnerabilities regarding Perl (CVE-2018-18311, CVE-2018-18312, CVE-2018-18313, CVE-2018-18314)
  2. Upgrade DBD::SQLite to version 1.62 to fix a vulnerability regarding Mailplus (CVE-2018-20346)."

Version: 5.24.0-0073


(2018-12-11)
  1. Improved the usability of MailPlus Server.
  2. Updated Perl Net::DNS module to address the issue of email SPF rejection.

Version: 5.24.0-0071


(2017-11-22)
  1. Fixed an issue where system files might be abnormally removed after package upgrade.

Version: 5.24.0-0070


(2017-10-05)
  1. Fixed an issue where the package may fail to launch if no volumes are created.

Version: 5.24.0-0066


(2017-01-04)
  1. Upgraded to 5.24.0
  2. Fixed several security vulnerabilities regarding mysql vulnerabilities: CVE-2015-8949, CVE-2014-9906, CVE-2016-1246.

Version: 5.18.4-0064


(2016-03-03)
  1. Upgraded to be compatible with DSM 6.0.

Version: 5.28.3-0231


(2021-06-01)

Compatibility and Installation

  1. Updated to be compatible with DSM 7.0.

Version: 5.28.3-0077


(2021-03-16)

Important Notes

  1. After updating to this version, Logitech Media Server (EoL) will fail to start.
  2. This update is expected to be available in all regions within the next few days. The actual time of release may vary slightly depending on regions.

What's New

  1. Updated to version 5.28.3.

Fixed Issues

  1. Fixed multiple security vulnerabilities (CVE-2020-10543, CVE-2020-10878, CVE-2020-12723, CVE-2019-20919, CVE-2020-14392, CVE-2020-14393).
  2. Minor bug fixes.

Version: 5.24.0-0074


(2019-04-29)
  1. Fix multiple vulnerabilities regarding Perl (CVE-2018-18311, CVE-2018-18312, CVE-2018-18313, CVE-2018-18314)
  2. Upgrade DBD::SQLite to version 1.62 to fix a vulnerability regarding Mailplus (CVE-2018-20346)."

Version: 5.24.0-0073


(2018-12-11)
  1. Improved the usability of MailPlus Server.
  2. Updated Perl Net::DNS module to address the issue of email SPF rejection.

Version: 5.24.0-0071


(2017-11-22)
  1. Fixed an issue where system files might be abnormally removed after package upgrade.

Version: 5.24.0-0070


(2017-10-05)
  1. Fixed an issue where the package may fail to launch if no volumes are created.

Version: 5.24.0-0066


(2017-01-04)
  1. Upgraded to 5.24.0
  2. Fixed several security vulnerabilities regarding mysql vulnerabilities: CVE-2015-8949, CVE-2014-9906, CVE-2016-1246.

Version: 5.18.4-0029


(2016-12-21)
  1. Perl must be upgraded to the latest version to be compatible with SRM 1.1.1.

Version: 5.18.4-0028


(2016-06-07)
  1. Initial support for SRM 1.1 and onward.

Version: 5.18.4-0064


(2016-03-03)
  1. Upgraded to be compatible with DSM 6.0.

Version: 5.18.4-0022


(2015-06-26)
  1. Fixed an issue related to Perl utf8_mode module.

Version: 5.18.4-0021


(2015-05-12)
  1. Upgraded to be compatible with DSM 5.2.

Version: 5.18.4-0019


(2014-12-09)
  1. Added support for x15-series models.

Version: 5.18.4-0018


(2014-12-09)
  1. Updated Perl to version 5.18.4.

Version: 5.18.1-0017


(2014-09-23)
  1. Certified by Synology Trust Level.

Version: 5.18.1-0015


(2014-09-22)

Add DS415+ support

Version: 5.18.1-0012


(2014-04-29)

Fixed Issues

  1. Fixed an issue where packages failed to connect to MySQL database using Perl build-in modules.

Version: 5.18.1-0011


(2014-04-02)
  1. Fixed an issue where Perl-dependent packages might not function correctly on some PowerPC based models. (Applied to: DS109+, DS110+, DS209+, DS209+II, DS210+, DS409+, DS410+, DS509+, RS409(RP)+, DS213+, DS413)

Version: 5.18.1-0010


(2014-03-19)
  1. Fixed an issue where some Perl-dependent packages might not be able to launch under rare circumstances.
  2. Fixed an issue where some Perl scripts could not communicate with MySQL/MariaDB database.
  3. Updated to add required modules for some 3rd party packages to load GUI correctly.

Version: 5.18.1-0007


(2014-03-10)
  1. Updated to be compatible with DSM 5.0.

Version: 5.8.6-0003


(2013-03-04)
  1. This is the initial release of Perl package.